********************************************************************************
*                                                                              *
*  2DHF version 1-2003                                                         *
*  Copyright (C) 1996  Jacek Kobus, Leif Laaksonen, Dage Sundholm              *
*                                                                              *
*  This software may be used and distributed according to the terms            *
*  of the GNU General Public License, see README and COPYING.                  *
*                                                                              *
********************************************************************************
c ### zeroarray ###
c
c     Zeroise main arrays.
c
      subroutine zeroarray (cw_orb,cw_coul,cw_exch,
     &                     cw_suppl,cw_sctch,cw_sor)
      implicit integer*4 (i-n)
      implicit real*8 (a-h,o-z)
      integer*4 cw_sor
      include 'commons8.inc'
      dimension cw_orb(*),cw_coul(*),cw_exch(*),
     &     cw_suppl(*),cw_sctch(*),cw_sor(*)
      
      do i=1,length1 
         cw_orb(i)=0.d0
      enddo
      
      do i=1,length2
         cw_coul(i)=0.d0
      enddo
      
      do i=1,length3
         cw_exch(i)=0.d0
      enddo
      
      do i=1,length4
         cw_suppl(i)=0.d0
      enddo
      
      do i=1,length5
         cw_sctch(i)=0.d0
      enddo
      
      do i=1,length6
         cw_sor(i)=0
      enddo
      return
      end
